/*******************************************************************************
* File Name: BLStart.h  
* Version 2.20
*
* Description:
*  This file contains Pin function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2015, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_BLStart_H) /* Pins BLStart_H */
#define CY_PINS_BLStart_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "BLStart_aliases.h"

/* APIs are not generated for P15[7:6] */
#if !(CY_PSOC5A &&\
	 BLStart__PORT == 15 && ((BLStart__MASK & 0xC0) != 0))


/***************************************
*        Function Prototypes             
***************************************/    

/**
* \addtogroup group_general
* @{
*/
void    BLStart_Write(uint8 value);
void    BLStart_SetDriveMode(uint8 mode);
uint8   BLStart_ReadDataReg(void);
uint8   BLStart_Read(void);
void    BLStart_SetInterruptMode(uint16 position, uint16 mode);
uint8   BLStart_ClearInterrupt(void);
/** @} general */

/***************************************
*           API Constants        
***************************************/
/**
* \addtogroup group_constants
* @{
*/
    /** \addtogroup driveMode Drive mode constants
     * \brief Constants to be passed as "mode" parameter in the BLStart_SetDriveMode() function.
     *  @{
     */
        #define BLStart_DM_ALG_HIZ         PIN_DM_ALG_HIZ
        #define BLStart_DM_DIG_HIZ         PIN_DM_DIG_HIZ
        #define BLStart_DM_RES_UP          PIN_DM_RES_UP
        #define BLStart_DM_RES_DWN         PIN_DM_RES_DWN
        #define BLStart_DM_OD_LO           PIN_DM_OD_LO
        #define BLStart_DM_OD_HI           PIN_DM_OD_HI
        #define BLStart_DM_STRONG          PIN_DM_STRONG
        #define BLStart_DM_RES_UPDWN       PIN_DM_RES_UPDWN
    /** @} driveMode */
/** @} group_constants */
    
/* Digital Port Constants */
#define BLStart_MASK               BLStart__MASK
#define BLStart_SHIFT              BLStart__SHIFT
#define BLStart_WIDTH              1u

/* Interrupt constants */
#if defined(BLStart__INTSTAT)
/**
* \addtogroup group_constants
* @{
*/
    /** \addtogroup intrMode Interrupt constants
     * \brief Constants to be passed as "mode" parameter in BLStart_SetInterruptMode() function.
     *  @{
     */
        #define BLStart_INTR_NONE      (uint16)(0x0000u)
        #define BLStart_INTR_RISING    (uint16)(0x0001u)
        #define BLStart_INTR_FALLING   (uint16)(0x0002u)
        #define BLStart_INTR_BOTH      (uint16)(0x0003u) 
    /** @} intrMode */
/** @} group_constants */

    #define BLStart_INTR_MASK      (0x01u) 
#endif /* (BLStart__INTSTAT) */


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define BLStart_PS                     (* (reg8 *) BLStart__PS)
/* Data Register */
#define BLStart_DR                     (* (reg8 *) BLStart__DR)
/* Port Number */
#define BLStart_PRT_NUM                (* (reg8 *) BLStart__PRT) 
/* Connect to Analog Globals */                                                  
#define BLStart_AG                     (* (reg8 *) BLStart__AG)                       
/* Analog MUX bux enable */
#define BLStart_AMUX                   (* (reg8 *) BLStart__AMUX) 
/* Bidirectional Enable */                                                        
#define BLStart_BIE                    (* (reg8 *) BLStart__BIE)
/* Bit-mask for Aliased Register Access */
#define BLStart_BIT_MASK               (* (reg8 *) BLStart__BIT_MASK)
/* Bypass Enable */
#define BLStart_BYP                    (* (reg8 *) BLStart__BYP)
/* Port wide control signals */                                                   
#define BLStart_CTL                    (* (reg8 *) BLStart__CTL)
/* Drive Modes */
#define BLStart_DM0                    (* (reg8 *) BLStart__DM0) 
#define BLStart_DM1                    (* (reg8 *) BLStart__DM1)
#define BLStart_DM2                    (* (reg8 *) BLStart__DM2) 
/* Input Buffer Disable Override */
#define BLStart_INP_DIS                (* (reg8 *) BLStart__INP_DIS)
/* LCD Common or Segment Drive */
#define BLStart_LCD_COM_SEG            (* (reg8 *) BLStart__LCD_COM_SEG)
/* Enable Segment LCD */
#define BLStart_LCD_EN                 (* (reg8 *) BLStart__LCD_EN)
/* Slew Rate Control */
#define BLStart_SLW                    (* (reg8 *) BLStart__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define BLStart_PRTDSI__CAPS_SEL       (* (reg8 *) BLStart__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define BLStart_PRTDSI__DBL_SYNC_IN    (* (reg8 *) BLStart__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define BLStart_PRTDSI__OE_SEL0        (* (reg8 *) BLStart__PRTDSI__OE_SEL0) 
#define BLStart_PRTDSI__OE_SEL1        (* (reg8 *) BLStart__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define BLStart_PRTDSI__OUT_SEL0       (* (reg8 *) BLStart__PRTDSI__OUT_SEL0) 
#define BLStart_PRTDSI__OUT_SEL1       (* (reg8 *) BLStart__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define BLStart_PRTDSI__SYNC_OUT       (* (reg8 *) BLStart__PRTDSI__SYNC_OUT) 

/* SIO registers */
#if defined(BLStart__SIO_CFG)
    #define BLStart_SIO_HYST_EN        (* (reg8 *) BLStart__SIO_HYST_EN)
    #define BLStart_SIO_REG_HIFREQ     (* (reg8 *) BLStart__SIO_REG_HIFREQ)
    #define BLStart_SIO_CFG            (* (reg8 *) BLStart__SIO_CFG)
    #define BLStart_SIO_DIFF           (* (reg8 *) BLStart__SIO_DIFF)
#endif /* (BLStart__SIO_CFG) */

/* Interrupt Registers */
#if defined(BLStart__INTSTAT)
    #define BLStart_INTSTAT            (* (reg8 *) BLStart__INTSTAT)
    #define BLStart_SNAP               (* (reg8 *) BLStart__SNAP)
    
	#define BLStart_0_INTTYPE_REG 		(* (reg8 *) BLStart__0__INTTYPE)
#endif /* (BLStart__INTSTAT) */

#endif /* CY_PSOC5A... */

#endif /*  CY_PINS_BLStart_H */


/* [] END OF FILE */
